const { SlashCommandBuilder, userMention, bold, italic, underscore, spoiler, quote, blockQuote } = require('@discordjs/builders');

const responses = [
    "Pas régulièrement.",
    "Dans cette économie actuelle ?!",
    "On s'en fout, non ?",
    "C'est pas faux.",
    "Il dit qu'il voit pas le rapport.",
    "J'ai pas regardé dans le tiroir ...",
    "M'enfin ?!",
    "Est ce bien nécessaire ?",
    "Ce serait affligeant.",
    "Je ne crois pas non.",
    "Qu'est ce que t'insinues ?",
    "Je demanderais à ma maman.",
    "Elle a dit non !",
    "Dans une certaine mesure.",
    "Avec l'accord du pédiatre !",
    "Seulement si tu te laves les mains.",
    "Vous pouvez répéter la question ?",
    "Bon sang, mais c'est bien sûr !",
    "Mais vous êtes fous !",
    "Mais evidemment !",
    "Bizarrement, oui.",
    "Essaye plus tard",
    "Essaye encore",
    "Une chance sur deux",
    "Pas d'avis",
    "Repose ta question",
    "D'après moi oui ",
    "C'est certain",
    "Très probable",
    "Sans aucun doute",
    "Tu peux compter dessus",
    "C'est non",
    "Peu probable",
    "Faut pas rêver",
    "N'y compte pas",
    "Impossible",
];

module.exports = {
	data: new SlashCommandBuilder()
		.setName('8ball')
        .setDescription('Replies with the right answer. Sometime.')
        .addStringOption(option => 
            option.setName('question')
            .setDescription('La question que vous souhaitez poser à Billy')
            .setRequired(true)
        ),
	async execute(interaction) {
        const question = interaction.options.get('question').value;
        const i = Math.floor(Math.random() * responses.length);
        const reply =  "*" + interaction.user.username + " a demandé : " + question + "*\n" + quote( responses[i] ) ;
        //const reply = responses[i] + "\n >>> " + question;
        await interaction.reply(reply)
        .then(console.log("Reply sent to 8ball command."))
        .catch(console.error);
	},
};
